Subject: [sacm] On the -03 version of requirements

From: Adam Montville <[email-masked]>
Date: Tue, 4 Mar 2014 07:21:44 -0600

Nancy,

Thank you for getting -03 uploaded!  It’s been a really good read so far, too…  

If I had a single comment to improve the readability and bring additional clarity to the document it would be to “flip” the labeled descriptions where appropriate, which will naturally lead to a requirement-like statement followed by more descriptive language.  

For example, G-003 is presently written as: “SACM must support a broad set of deployment scenarios.  As such, it is possible that the size or posture assessment information can vary from a single assessment that is small in (record or datagram) size to a very large datagram or a very large set of assessments and must be addressed by the SACM specifications defined.  Thus, the data models, protocols and transports must be scalable.”  I would take that last sentence, which seems to be the actual requirement that is G-003 and make it first: “SACM data models, protocols and transports must be scalable.”  Then I’d follow with the rest of the information.

Organizing the requirements like this should make it easier to track them along the way.  

Then, are the following label-to-requirment matches about right?  They all appear to be concerned with “data models, protocols and transport” and G-002 appears to be the special case of a requirement for the complete description of a data model, protocol or transport rather than to the data model, protocol or transport itself...

G-001 Extensibility
G-002 State machine and detail requirement for specification
G-003 Scalability
G-004 Agility
G-005 Transport variability
G-006 MTI data attributes (posture assessment)
G-007 Access control

REQ-001 Attribute dictionary
REQ-002 Information Model
REQ-003 Data model to protocol mapping
REQ-004 Endpoint discovery
REQ-005 Attribute-based data model querying
REQ-006 Query-based information collection with filtering
REQ-007 Asynchronous publication, updates, and/or change modifications with filtering
REQ-008 Data model scalability

What makes REQ-008 distinct from G-003?

Should REQ-006 and REQ-007 be split to cover query operations and then cover filtering separately?

Are the requirements in a state that allows for testability?  For example, upon describing a given data model, could we test that draft’s compliance to G-004 (Agility)?

Does this set of requirements imply an increase to the number of drafts this working group needs to create?

…

That’s probably a lot for now and almost certainly enough (too much?) to attempt to discuss before the SACM session on Thursday.

Regards,

Adam